<?php

namespace App\Http\Controllers;

use App\Models\Offering;
use App\Models\Setting;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Mail;
use IntaSend\IntaSendPHP\Checkout;

class PaymentController extends Controller
{
    public function intasendCallback(Request $request)
    {
        $signature = $request->input('signature');
        $checkout_id = $request->input('checkout_id');
        $tracking_id = $request->input('tracking_id');

        $credentials = [
            'publishable_key' => env('INTASEND_KEY'),
            'token' => env('INTASEND_TOKEN'),
            'test' => env('INTASEND_ENVIRONMENT', true),
        ];
        $checkout = new Checkout();
        $checkout->init($credentials);
        $resp = $checkout->check_status($signature, $checkout_id, $tracking_id);
        if ($resp->invoice->state == "COMPLETE") {
            $offeringEmail = Offering::query()
                ->where('payer_id', $checkout_id)
                ->first();
            $settings = Setting::first();

            $offerings = Offering::query()
                ->where('payer_id', $checkout_id)
                ->update(
                    [
                        'payment_status' => 1,
                        'status' => 1,
                        'payment_method' => $resp->invoice->provider,
                        'payment_date' => now(),
                        'narrative' => $resp->invoice->invoice_id,
                        'narrative_description' => $resp->invoice->state
                    ]

                );
            Mail::to($offeringEmail->email)->send(new \App\Mail\UserOffering($offeringEmail));
            Mail::to($settings->email)->send(new \App\Mail\AdminOffering($offeringEmail));

        } else {
            Offering::query()
                ->where('payer_id', $checkout_id)
                ->update(
                    [

                        'payment_method' => $resp->invoice->provider,
                        'payment_date' => now(),
                        'narrative' => $resp->invoice->invoice_id,
                        'narrative_description' => $resp->invoice->state
                    ]

                );
        }


        info('###################');
        info(array($resp));
        info($resp->invoice->state);
        info('###################');
        $offerings = Offering::query()
            ->where('payer_id', $checkout_id)
            ->where('payment_status',1)
            ->first();
        // Check the returned api_ref, verify state, amount, currency etc, and update your records accordingly
     return redirect()->route('frontend.offering-success',['offering'=>$offerings->payer_id]);
    }
}
