<?php

namespace App\Livewire\Frontend;

use App\Models\Offering;
use App\Models\Setting;
use Illuminate\Support\Facades\URL;
use IntaSend\IntaSendPHP\Checkout;
use Livewire\Component;
use Spatie\SchemaOrg\Schema;

use IntaSend\IntaSendPHP\Collection;

class SuccessPayment extends Component
{

    public $checkout_id;

    public function mount(Offering $offering){

        $this->checkout_id = Offering::query()
            ->where('payer_id', $offering->payer_id)
            ->first();






    }


    public function render()
    {

        $settings = Setting::first();
        seo()
            ->title($title = "Successfully Donation")
            ->description($description = 'Lorem ipsum...')
            ->canonical($url = URL::current())
            ->addSchema(
                Schema::webPage()
                    ->name($title)
                    ->description($description)
                    ->url($url)
                    ->author(Schema::organization()->name($title))
            );
        return view('livewire.frontend.success-payment',
            [
                'checkout_id' => $this->checkout_id,
                'settings' => $settings,
                'title' => $title

            ])->extends('livewire.layouts.main-layout',
            [

                'settings' => $settings,
                'title' => $title,
            ]);
    }
}
