<?php

namespace App\Livewire\Frontend\View;

use App\Models\Blog;
use App\Models\Setting;
use Illuminate\Support\Facades\URL;
use Livewire\Component;
use Livewire\WithPagination;
use Spatie\SchemaOrg\Schema;

class ViewBlog extends Component
{

    public  $blog;
    public $relatedBlogs;

    public function mount(Blog $blog){

        $this->blog = Blog::query()
            ->where('slug', $blog->slug)
            ->first();

        //increment
         $saveView = Blog::findorfail($blog->id);
         $saveView->views++;
         $saveView->save();


        $this->relatedBlogs = Blog::query()
            ->where('id','!=',$blog->id)
            ->take(3)
            ->get();




    }

    public function render()
    {
        $settings = Setting::first();
        seo()
            ->title($title = $this->blog->name)
            ->description($description = 'Lorem ipsum...')
            ->canonical($url = URL::current())
            ->addSchema(
                Schema::webPage()
                    ->name($title)
                    ->description($description)
                    ->url($url)
                    ->author(Schema::organization()->name($title))
            );
        return view('livewire.frontend.view.view-blog',
            [
                'settings' => $settings,
                'title' => $title

            ])->extends('livewire.layouts.main-layout',
            [

                'settings' => $settings,
                'title' => $title,
            ]);
    }
}
