<?php

namespace App\Livewire\Frontend\View;

use App\Models\Devotion;
use App\Models\Setting;
use Illuminate\Support\Facades\URL;
use Livewire\Component;
use Spatie\SchemaOrg\Schema;

class ViewDevotion extends Component
{


    public  $devotion;
    public $relatedDevotions;

    public function mount(Devotion $devotion){

        $this->devotionblogs = Devotion::query()
            ->where('slug', $devotion->slug)
            ->first();

        //increment
        /* $saveView = Blog::findorfail($this->blog->id);
         $saveView->views++;
         $saveView->save();*/


        $this->relatedDevotions = Devotion::query()
            ->where('id','!=',$devotion->id)
            ->take(3)
            ->get();




    }

    public function render()
    {
        $settings = Setting::first();
        seo()
            ->title($title = $this->devotion->name)
            ->description($description = 'Lorem ipsum...')
            ->canonical($url = URL::current())
            ->addSchema(
                Schema::webPage()
                    ->name($title)
                    ->description($description)
                    ->url($url)
                    ->author(Schema::organization()->name($title))
            );
        return view('livewire.frontend.view.view-devotion',
            [
                'settings' => $settings,
                'title' => $title

            ])->extends('livewire.layouts.main-layout',
            [

                'settings' => $settings,
                'title' => $title,
            ]);
    }
}
