<?php

namespace App\Livewire\Frontend\View;

use App\Models\Livestream;
use App\Models\Setting;
use Illuminate\Support\Facades\URL;
use Livewire\Component;
use Spatie\SchemaOrg\Schema;

class ViewLivestream extends Component
{

    public  $livestream;
    public $relatedLivestreams;

    public function mount(Livestream $livestream){

        $this->blogs = Livestream::query()
            ->where('slug', $livestream->slug)
            ->first();

        //increment
        /* $saveView = Blog::findorfail($this->blog->id);
         $saveView->views++;
         $saveView->save();*/


        $this->relatedLivestreams = Livestream::query()
            ->where('id','!=',$livestream->id)
            ->take(3)
            ->get();




    }
    public function render()
    {
        $settings = Setting::first();
        seo()
            ->title($title = $this->livestream->name)
            ->description($description = 'Lorem ipsum...')
            ->canonical($url = URL::current())
            ->addSchema(
                Schema::webPage()
                    ->name($title)
                    ->description($description)
                    ->url($url)
                    ->author(Schema::organization()->name($title))
            );
        return view('livewire.frontend.view.view-livestream',
            [
                'settings' => $settings,
                'title' => $title

            ])->extends('livewire.layouts.main-layout',
            [

                'settings' => $settings,
                'title' => $title,
            ]);
    }
}
