<?php

namespace App\Livewire\Frontend\View;

use App\Models\Sermon;
use App\Models\Setting;
use Illuminate\Support\Facades\URL;
use Livewire\Component;
use Spatie\SchemaOrg\Schema;

class ViewSermon extends Component
{
    public  $sermon;
    public $relatedSermons;

    public function mount(Sermon $sermon){

        $this->sermon = Sermon::query()
            ->where('slug', $sermon->slug)
            ->first();

        //increment
        /* $saveView = Blog::findorfail($this->blog->id);
         $saveView->views++;
         $saveView->save();*/


        $this->relatedSermons = Sermon::query()
            ->where('id','!=',$sermon->id)
            ->take(3)
            ->get();




    }
    public function render()
    {
        $settings = Setting::first();
        seo()
            ->title($title = config('app.name'))
            ->description($description = 'Lorem ipsum...')
            ->canonical($url = URL::current())
            ->addSchema(
                Schema::webPage()
                    ->name($title)
                    ->description($description)
                    ->url($url)
                    ->author(Schema::organization()->name($title))
            );
        return view('livewire.frontend.view.view-sermon',
            [
                'settings' => $settings,
                'title' => $title

            ])->extends('livewire.layouts.main-layout',
            [

                'settings' => $settings,
                'title' => $title,
            ]);
    }
}
