<?php

namespace App\Livewire\Frontend\View;

use App\Models\Setting;
use App\Models\Testimonial;
use Illuminate\Support\Facades\URL;
use Livewire\Component;
use Spatie\SchemaOrg\Schema;

class ViewTestimonial extends Component
{
    public  $testimony;
    public $relatedTestimonies;

    public function mount(Testimonial $testimonial){
//dd($this->testimony);

        $this->testimony = Testimonial::query()
            ->where('slug', $this->testimony)
            ->first();


        //increment
        /* $saveView = Blog::findorfail($this->blog->id);
         $saveView->views++;
         $saveView->save();*/


        $this->relatedTestimonies = Testimonial::query()
            ->where('id','!=',$testimonial->id)
            ->take(3)
            ->get();




    }
    public function render()
    {
        $settings = Setting::first();
        seo()
            ->title($title = $this->testimony->name)
            ->description($description = 'Lorem ipsum...')
            ->canonical($url = URL::current())
            ->addSchema(
                Schema::webPage()
                    ->name($title)
                    ->description($description)
                    ->url($url)
                    ->author(Schema::organization()->name($title))
            );
        return view('livewire.frontend.view.view-testimonial',
            [
                'settings' => $settings,
                'title' => $title

            ])->extends('livewire.layouts.main-layout',
            [

                'settings' => $settings,
                'title' => $title,
            ]);
    }
}
