<?php

namespace App\Livewire;

use App\Models\Blog;
use App\Models\Setting;
use Illuminate\Support\Facades\URL;
use Livewire\Component;
use Livewire\WithPagination;
use Spatie\SchemaOrg\Schema;

class IndexBlog extends Component
{
    use WithPagination;
    public function render()
    {

        $blogs = Blog::query()
            ->where('status',1)
            ->orderBy('created_at','desc')
            ->paginate();


        $settings = Setting::first();
        seo()
            ->title($title = "Our News Updates")
            ->description($description = 'Lorem ipsum...')
            ->canonical($url = URL::current())
            ->addSchema(
                Schema::webPage()
                    ->name($title)
                    ->description($description)
                    ->url($url)
                    ->author(Schema::organization()->name($title))
            );
        return view('livewire.index-blog',
            [
                'blogs' => $blogs,
                'settings' => $settings,
                'title' => $title

            ])->extends('livewire.layouts.main-layout',
            [

                'settings' => $settings,
                'title' => $title,
            ]);
    }
}
