<?php

namespace App\Livewire;

use App\Models\Devotion;
use App\Models\Setting;
use Illuminate\Support\Facades\URL;
use Livewire\Component;
use Livewire\WithPagination;
use Spatie\SchemaOrg\Schema;

class IndexDevotions extends Component
{
    use WithPagination;
    public function render()
    {
        $devotions = Devotion::query()
            ->where('status',1)
            //date greater than today
                ->where('scheduled_dates','>=',today())
                //order by ascending
                    ->orderBy('scheduled_dates','asc')
            ->paginate();
        $settings = Setting::first();
        seo()
            ->title($title = "Our Devotions")
            ->description($description = 'Lorem ipsum...')
            ->canonical($url = URL::current())
            ->addSchema(
                Schema::webPage()
                    ->name($title)
                    ->description($description)
                    ->url($url)
                    ->author(Schema::organization()->name($title))
            );
        return view('livewire.index-devotions',
            [
                'devotions' => $devotions,
                'settings' => $settings,
                'title' => $title

            ])->extends('livewire.layouts.main-layout',
            [

                'settings' => $settings,
                'title' => $title,
            ]);
    }
}
