<?php

namespace App\Livewire;

use App\Models\Pastor;
use App\Models\Setting;
use Illuminate\Support\Facades\URL;
use Livewire\Component;
use Livewire\WithPagination;
use Spatie\SchemaOrg\Schema;

class IndexPastors extends Component
{
    use WithPagination;
    public function render()
    {
        $pastors = Pastor::query()
            ->where('status',1)
            ->paginate();
        $settings = Setting::first();
        seo()
            ->title($title = "Our Gospel Ministers")
            ->description($description = 'Lorem ipsum...')
            ->canonical($url = URL::current())
            ->addSchema(
                Schema::webPage()
                    ->name($title)
                    ->description($description)
                    ->url($url)
                    ->author(Schema::organization()->name($title))
            );
        return view('livewire.index-pastors',
            [
                'pastors' => $pastors,
                'settings' => $settings,
                'title' => $title

            ])->extends('livewire.layouts.main-layout',
            [

                'settings' => $settings,
                'title' => $title,
            ]);
    }
}
