<?php

namespace App\Livewire;

use App\Models\Setting;
use Illuminate\Support\Facades\URL;
use Livewire\Component;
use Spatie\SchemaOrg\Schema;

class IndexSermon extends Component
{
    public function render()
    {
        $settings = Setting::first();
        seo()
            ->title($title = "Top Sermons")
            ->description($description = 'Lorem ipsum...')
            ->canonical($url = URL::current())
            ->addSchema(
                Schema::webPage()
                    ->name($title)
                    ->description($description)
                    ->url($url)
                    ->author(Schema::organization()->name($title))
            );
        return view('livewire.index-sermon',
            [
                'settings' => $settings,
                'title' => $title

            ])->extends('livewire.layouts.main-layout',
            [

                'settings' => $settings,
                'title' => $title,
            ]);
    }
}
