<?php

namespace App\Livewire;

use App\Models\Setting;
use App\Models\Testimonial;
use Illuminate\Support\Facades\URL;
use Livewire\Component;
use Livewire\WithPagination;
use Spatie\SchemaOrg\Schema;

class IndexTestimonial extends Component
{
    use WithPagination;
    public function render()
    {

        $testimonies = Testimonial::query()
            ->where('status',1)
            ->paginate();

        $settings = Setting::first();
        seo()
            ->title($title =  "Top Testimonials")
            ->description($description = 'Lorem ipsum...')
            ->canonical($url = URL::current())
            ->addSchema(
                Schema::webPage()
                    ->name($title)
                    ->description($description)
                    ->url($url)
                    ->author(Schema::organization()->name($title))
            );
        return view('livewire.index-testimonial',
            [
                'testimonies' => $testimonies,
                'settings' => $settings,
                'title' => $title

            ])->extends('livewire.layouts.main-layout',
            [

                'settings' => $settings,
                'title' => $title,
            ]);
    }
}
