<?php

namespace App\Mail;

use App\Models\Offering;
use App\Models\Setting;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Mail\Mailables\Content;
use Illuminate\Mail\Mailables\Envelope;
use Illuminate\Queue\SerializesModels;

class AdminOffering extends Mailable
{
    public $offeringEmail;
    use Queueable, SerializesModels;

    /**
     * Create a new message instance.
     */
    public function __construct($offeringEmail)
    {
        $this->offeringEmail = $offeringEmail;
    }

    /**
     * Get the message envelope.
     */
    public function envelope(): Envelope
    {
        $settings= Setting::first();

        $contributor = Offering::query()
            ->where('id',$this->offeringEmail['id'])
            ->first();


        $name = $contributor->name;
        $email = $contributor->email;


        return new Envelope(
            subject: 'New Contribution from '.$name,
            replyTo: $email,
        );
    }

    /**
     * Get the message content definition.
     */
    public function content(): Content
    {
        return new Content(
            markdown: 'mail.admin.adminOffering',
            with:  [
                'data'=>$this->offeringEmail
            ]
        );
    }

    /**
     * Get the attachments for the message.
     *
     * @return array<int, \Illuminate\Mail\Mailables\Attachment>
     */
    public function attachments(): array
    {
        return [];
    }
}
