<?php

namespace App\Models;

use Awcodes\Curator\Models\Media;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class BlogCategory extends Model
{
    use HasFactory, SoftDeletes;
    protected $dates = [ 'deleted_at' ];
    protected $guarded = [];
    public function image()
    {
        return $this->belongsTo(Media::class);
    }
    public function blog(){
        return $this->hasMany(Blog::class);
    }

    protected $casts = [
        'gallery' => 'array',
    ];
}
