<!DOCTYPE html>
<!--[if IE 8 ]>
<html class="ie" xmlns="http://www.w3.org/1999/xhtml" xml:lang="en-US" lang="en-US"> <![endif]-->
<!--[if (gte IE 9)|!(IE)]><!-->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en-US" lang="en-US"><!--<![endif]-->

<head>

  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1">

  {{ seo()->render() }}

  <!-- Google Font -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Barlow+Semi+Condensed:300,500,600,700%7CRoboto:300,400,500,700">
  @if (!empty($settings->header_scripts))
    {!! $settings->header_scripts !!}
  @endif

  @include('livewire.layouts.partials.header')

  {{-- page Css --}}
  @stack('css')
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.2/css/all.min.css" integrity="sha512-z3gLpd7yknf1YoNbCzqRKc4qyor8gaKU1qmn+CShxbuBusANI9QpRohGBreCFkKxLhei6S9CQXFEbbKuqLg0DA==" crossorigin="anonymous" referrerpolicy="no-referrer" />
  <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" type="text/css">
  @livewireStyles

</head>

<body >
<div class="theme-color">
  <img src="{{asset('frontend/assets/img/sun.png')}}" alt="moon" id="theme-icon">
</div>



    @if (!empty($settings->body_scripts))
      {!! $settings->body_scripts !!}
    @endif
    <!--Header + Nav -->
    @include('livewire.layouts.partials.navigation')
    <!--Header + Nav -->


    <!--Contents -->
    @yield('content')


    <!-- Footer -->
    @livewire('frontend.shared.footer')



<!-- Js Scripts -->
@include('livewire.layouts.partials.scripts')


@if (!empty($settings->footer_scripts))
  {!! $settings->footer_scripts !!}
@endif
{{-- page scripts --}}
@stack('js')

{{-- {!! NoCaptcha::renderJs() !!} --}}
{{-- <script src="{{ asset('js/share.js') }}"></script>--}}
@livewireScripts

</body>

</html>
