<?php

use App\Livewire\Frontend\ShareTestimony;
use App\Livewire\Frontend\SuccessPayment;
use App\Livewire\Frontend\View\ViewBlog;
use App\Livewire\Frontend\View\ViewDevotion;
use App\Livewire\Frontend\View\ViewLivestream;
use App\Livewire\Frontend\View\ViewTestimonial;
use App\Livewire\Home;
use App\Livewire\IndexAbout;
use App\Livewire\IndexBlog;
use App\Livewire\IndexChurchServices;
use App\Livewire\IndexContact;
use App\Livewire\IndexDevotions;
use App\Livewire\IndexDonation;
use App\Livewire\IndexHome;
use App\Livewire\IndexLivestream;
use App\Livewire\IndexOffering;
use App\Livewire\IndexPartnership;
use App\Livewire\IndexPastors;
use App\Livewire\IndexSermon;
use App\Livewire\IndexTestimonial;
use App\Livewire\Post\Show as PostShow;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::name('frontend.')->group(function () {
    Route::get('/', IndexHome::class)->name('index');
    Route::get('/about-us', IndexAbout::class)->name('about');
    Route::get('/offering', IndexOffering::class)->name('offering');
    Route::get('/payment',  [\App\Http\Controllers\PaymentController::class,'intasendCallback'])->name('payment');
    Route::get('/payment-success/{offering:payer_id}', SuccessPayment::class)->name('offering-success');
    Route::get('/donation', IndexOffering::class)->name('donations');
    Route::get('/livestream-channels', IndexLivestream::class)->name('livestreams');
    Route::get('/livestream-channel/{livestream:slug}', ViewLivestream::class)->name('single-livestream');
    Route::get('/our-gospel-ministers', IndexPastors::class)->name('pastors');
    Route::get('/our-sermons', IndexSermon::class)->name('sermons');
    Route::get('/our-church-services', IndexChurchServices::class)->name('church-services');
    Route::get('/our-devotions', IndexDevotions::class)->name('devotions');
    Route::get('/devotion/{devotion:slug}', ViewDevotion::class)->name('single-devotion');
    Route::get('/about-partnerships', IndexPartnership::class)->name('partnerships');
    Route::get('/partnership-donations', IndexOffering::class)->name('partner-donations');



    Route::get('/our-testimonies', IndexTestimonial::class)->name('testimonials');
    Route::get('/my-testimony/{testimony:slug}', ViewTestimonial::class)->name('my-testimony');
    Route::get('/share-testimony', ShareTestimony::class)->name('share-testimonials');

    Route::get('/all-blogs', IndexBlog::class)->name('blogs');
    Route::get('/blog/{blog:slug}', ViewBlog::class)->name('single-blog');
    Route::get('/contact-us', IndexContact::class)->name('contact');
});

