<?php

return [
    'login' => [
        'username_or_email' => 'Имя пользователя или электронная почта',
        'forgot_password_link' => 'Забыли пароль?',
        'create_an_account' => 'Создать аккаунт',
    ],
    'password_confirm' => [
        'heading' => 'Подтвердите пароль',
        'description' => 'Для завершения этого действия подтвердите свой пароль.',
        'current_password' => 'Текущий пароль',
    ],
    'two_factor' => [
        'heading' => 'Двухфакторная аутентификация',
        'description' => 'Пожалуйста, подтвердите доступ, введя пароль из приложения',
        'code_placeholder' => 'XXX-XXX',
        'recovery' => [
            'heading' => 'Двухфакторная аутентификация',
            'description' => 'Пожалуйста, подтвердите доступ к вашей учетной записи, введя один из ваших кодов восстановления в экстренных случаях.',
        ],
        'recovery_code_placeholder' => 'abcdef-98765',
        'recovery_code_text' => 'Утеряно устройство?',
        'recovery_code_link' => 'Использовать код восстановления',
        'back_to_login_link' => 'Вернуться на страницу входа',
    ],
    'registration' => [
        'title' => 'Регистрация',
        'heading' => 'Создать учетную запись',
        'submit' => [
            'label' => 'Отправить',
        ],
        'notification_unique' => 'Учетная запись с таким адресом уже существует. Пожалуйста, войдите',
    ],
    'reset_password' => [
        'title' => 'Забыли пароль',
        'heading' => 'Сбросить пароль',
        'submit' => [
            'label' => 'Подтвердить',
        ],
        'notification_error' => 'Ошибка: повторите попытку позже.',
        'notification_error_link_text' => 'Попробуйте еще раз',
        'notification_success' => 'Проверьте свой почтовый ящик для получения инструкций!',
    ],
    'verification' => [
        'title' => 'Проверить электронную почту',
        'heading' => 'Требуется подтверждение электронной почты',
        'submit' => [
            'label' => 'Выйти',
        ],
        'notification_success' => 'Проверьте почтовый ящик для получения инструкций',
        'notification_resend' => 'Письмо с подтверждением отправлено повторно.',
        'before_proceeding' => 'Прежде чем продолжить, проверьте электронную почту на наличие ссылки для подтверждения.',
        'not_receive' => 'Если вы не получили электронное письмо,',
        'request_another' => 'Нажмите здесь, чтобы запросить повторно.',
    ],
    'profile' => [
        'account' => 'Аккаунт',
        'profile' => 'Профиль',
        'my_profile' => 'Мой Профиль',
        'personal_info' => [
            'heading' => 'Личная информация',
            'subheading' => 'Управление вашей личной информацией',
            'submit' => [
                'label' => 'Обновить',
            ],
            'notify' => 'Обновление профиля успешно',
        ],
        'password' => [
            'heading' => 'Пароль',
            'subheading' => 'Должно быть минимум 8 символов.',
            'submit' => [
                'label' => 'Обновить',
            ],
            'notify' => 'Пароль успешно обновлен',
        ],
        '2fa' => [
            'title' => 'Двухфакторная аутентификация',
            'description' => 'Управление двухфакторной аутентификацией для вашей учетной записи (рекомендуется)',
            'actions' => [
                'enable' => 'Включить',
                'regenerate_codes' => 'Регенерировать коды',
                'disable' => 'Отключить',
                'confirm_finish' => 'Подтвердить и завершить',
                'cancel_setup' => 'Отменить',
            ],
            'setup_key' => 'Ключ настройки',
            'not_enabled' => [
                'title' => 'Вы не включили двухфакторную аутентификацию',
                'description' => 'Если включена двухфакторная аутентификация, вам будет предложено ввести безопасный токен во время аутентификации. Вы можете получить этот токен из Google Authenticator',
            ],
            'finish_enabling' => [
                'title' => 'Завершить активацию двухфакторной аутентификации.',
                'description' => 'Чтобы завершить активацию двухфакторной аутентификации, отсканируйте QR-код через приложение для аутентификации или введите ключ настройки OTP-код',
            ],
            'enabled' => [
                'title' => 'Вы включили двухфакторную аутентификацию',
                'description' => 'Двухфакторная аутентификация теперь включена. Отсканируйте следующий QR-код с помощью приложения для аутентификации на телефоне или введите ключ настройки',
                'store_codes' => 'Сохраните эти коды восстановления в безопасном менеджере паролей. Их можно использовать для восстановления доступа к вашей учетной записи, если ваше устройство двухфакторной аутентификации потеряно.',
                'show_codes' => 'Показать коды восстановления',
                'hide_codes' => 'Скрыть коды восстановления',
            ],
            'confirmation' => [
                'success_notification' => 'Код подтвержден. Двухфакторная аутентификация включена.',
                'invalid_code' => 'Код, который вы ввели, недействителен.',
            ],
        ],
        'sanctum' => [
            'title' => 'API Токены',
            'description' => 'Управление токенами API, которые позволяют сторонним службам получать доступ к этому приложению от вашего имени. ПРИМЕЧАНИЕ. Ваш токен отображается один раз при создании. Если вы потеряете свой токен, вам нужно будет удалить его и создать новый',
            'create' => [
                'notify' => 'Токен успешно создан',
                'submit' => [
                    'label' => 'Создать',
                ],
            ],
            'update' => [
                'notify' => 'Токен успешно обновлен',
            ],
        ],
    ],
    'clipboard' => [
        'link' => 'Скопировать в буфер обмена',
        'tooltip' => 'Скопировано!',
    ],
    'fields' => [
        'email' => 'E-mail',
        'login' => 'Имя пользователя',
        'name' => 'Имя',
        'password' => 'Пароль',
        'password_confirm' => 'Подтверждение пароля',
        'new_password' => 'Новый пароль',
        'new_password_confirmation' => 'Подтверждение пароля',
        'token_name' => 'Имя токена',
        'abilities' => 'Доступ',
        '2fa_code' => 'Код',
        '2fa_recovery_code' => 'Код восстановления',
        'created' => 'Создано',
        'expires' => 'Истекает',
    ],
    'or' => 'или',
    'cancel' => 'Отмена',
];
